## org.apache.mahout.cf.taste.hadoop.item
Class PrefAndSimilarityColumnWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.item.PrefAndSimilarityColumnWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class PrefAndSimilarityColumnWritable

extends Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`PrefAndSimilarityColumnWritable()`
`PrefAndSimilarityColumnWritable(float prefValue, Vector similarityColumn)`

Method Summary
`boolean` `equals(Object obj)`
`float` `getPrefValue()`
`Vector` `getSimilarityColumn()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`void` `set(float prefValue, Vector similarityColumn)`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefAndSimilarityColumnWritable

    public PrefAndSimilarityColumnWritable()

### PrefAndSimilarityColumnWritable

    public PrefAndSimilarityColumnWritable(float prefValue,
                                           Vector similarityColumn)

Method Detail

### set

    public void set(float prefValue,
                    Vector similarityColumn)

### getPrefValue

    public float getPrefValue()

### getSimilarityColumn

    public Vector getSimilarityColumn()

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.